QuickFIX: FIX::CallStack::Context Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::CallStack::Context Class Reference

A single CallStack context (thread of execution). More...

`#include <CallStack.h>`

List of all members.

## Public Member Functions
| Context ()
void | caught (std::exception &)
void | caught ()
## Public Attributes
std::string | exception
bool | ignore

## Detailed Description

A single CallStack context (thread of execution).

Definition at line 66 of file CallStack.h.

## Constructor & Destructor Documentation

FIX::CallStack::Context::Context | ( |  | ) | `[inline]`

Definition at line 69 of file CallStack.h.

    00069 : ignore(false) {}

## Member Function Documentation

void FIX::CallStack::Context::caught | ( |  | ) |

Definition at line 135 of file CallStack.cpp.

References exception.

    00136   {
    00137     exception = "unknown exception";
    00138   }

void FIX::CallStack::Context::caught | ( | std::exception & | e | ) |

Definition at line 121 of file CallStack.cpp.

References exception.

Referenced by FIX::CallStack::caught().

    00122   {
    00123 #if TYPEINFO_IN_STD
    00124     const std::type_info&
    00125 #else
    00126     const type_info&
    00127 #endif
    00128     type = typeid(e);
    00129
    00130     std::stringstream s;
    00131     s << type.name() << ": " << std::string(e.what());
    00132     exception = s.str();
    00133   }

## Member Data Documentation

std::string FIX::CallStack::Context::exception

Definition at line 73 of file CallStack.h.

Referenced by caught(), and FIX::CallStack::output().

bool FIX::CallStack::Context::ignore

Definition at line 74 of file CallStack.h.

Referenced by FIX::CallStack::CallStack(), FIX::CallStack::caught(), FIX::CallStack::ignore(), and FIX::CallStack::~CallStack().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/CallStack.h
- /home/omiller/Development/autobuild/quickfix/src/C++/CallStack.cpp